=== debian/changelog ===
nocache (1.0-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Removed obsolete "make.patch".
  * Modernised Vcs URLs.
  * Updated get-orig-source.
  * Standards-Version: 3.9.8.
  * Build with full hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 14:13:28 +1000
