=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: debhelper (>= 9)
 # git is needed by get-orig-source
  ,git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/Feh/nocache
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nocache.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/nocache.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nocache.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nocache.git
 
 Package: nocache
 Architecture: any
