## nocache 1.1

=== debian/changelog ===
nocache (1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dmitry Smirnov ]
  * New upstream release.
    + fixes hang with Glibc 2.28+ (Closes: #916415).
  * Debhelper & compat to version 11.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Jan 2019 14:37:54 +1100
