=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9)
-# git is needed by get-orig-source
- ,git
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~)
+# tests:
+#    ,coreutils
+Standards-Version: 4.3.0
 Homepage: https://github.com/Feh/nocache
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nocache.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nocache.git
+Vcs-Browser: https://salsa.debian.org/debian/nocache
+Vcs-Git: https://salsa.debian.org/debian/nocache.git
 
 Package: nocache
 Architecture: any
