=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
PKG=nocache

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -v -- PREFIX=/usr LIBDIR=/lib/$(PKG)
	# check if wrapper built for correct PREFIX and LIBDIR
	[ -n "$$(grep '/usr/lib/$(PKG)/$(PKG)' $(CURDIR)/debian/$(PKG)/usr/bin/$(PKG))" ]

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	-NOCACHE_NR_FADVISE=2 dh_auto_test -v
	## #916415
	timeout 11 ./nocache apt show coreutils 1>>/dev/null
endif
