## nocache 1.2

=== debian/changelog ===
nocache (1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Import upstream version 1.2, this fixes issues with increased file
    limits. Closes: 918316
  * Fix build on (most) 32 bit architectures. Closes: #1069426
    Kudos to Guillem Jover for taking care of that.
  * Simplify test so it will not time out. Closes: #918316 (again)

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 07 Jul 2024 13:44:09 +0200
