=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	-NOCACHE_NR_FADVISE=2 dh_auto_test -v
 	## #916415
-	timeout 11 ./nocache apt show coreutils 1>>/dev/null
+	timeout 11 ./nocache true
 endif
